Skip to main content
PATCH
/
lemwarm
/
{userMailboxId}
/
settings
Update lemwarm Settings
curl --request PATCH \
  --url https://api.lemlist.com/api/lemwarm/{userMailboxId}/settings \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "warmEmailMax": 30,
  "warmEmailRampup": 5
}
'
import requests

url = "https://api.lemlist.com/api/lemwarm/{userMailboxId}/settings"

payload = {
    "warmEmailMax": 30,
    "warmEmailRampup": 5
}
headers = {
    "Authorization": "Basic <encoded-value>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
  body: JSON.stringify({warmEmailMax: 30, warmEmailRampup: 5})
};

fetch('https://api.lemlist.com/api/lemwarm/{userMailboxId}/settings', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://api.lemlist.com/api/lemwarm/{userMailboxId}/settings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"warmEmailMax\": 30,\n  \"warmEmailRampup\": 5\n}"

response = http.request(request)
puts response.read_body
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.lemlist.com/api/lemwarm/{userMailboxId}/settings",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    'warmEmailMax' => 30,
    'warmEmailRampup' => 5
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Basic <encoded-value>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "ok": true
}
"Bad team"
"The authentication you supplied is incorrect"
This endpoint uses the Lemwarm Settings object.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

userMailboxId
string
required

The unique identifier of the user mailbox

Body

application/json
warmEmailMax
integer

Maximum number of warm emails per day

warmEmailRampup
integer

Daily increase in warm email count

Response

Success

ok
boolean